<?php
/**
* @package Mambo Open Source
* @subpackage Languages
* @copyright (C) 2005 - 2006 Mambo Foundation Inc.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
*
* Mambo was originally developed by Miro (www.miro.com.au) in 2000. Miro assigned the copyright in Mambo to The Mambo Foundation in 2005 to ensure
* that Mambo remained free Open Source software owned and managed by the community.
* Mambo is Free Software
*/ 

class ToolBar
{
	
	var $map 	 = array();
	var $name 	 = null;
	var $request = null;
	
	function ToolBar()
	{
	 $this->request = $_REQUEST;
	}	
	function display($method = null) 
	{		
		$task = isset($this->request['task']) ? $this->request['task'] : '_default';			
		if (is_null($method))$method = $task;		
		if (in_array($method,  array_keys($this->map)))$method = $this->map[$method];				
		if ($method && strlen($method) > 2 && method_exists($this, $method))
			return $this->$method();		
		return false;
	}
	function _default(){}
}



class languagesToolbar extends ToolBar {
	
	var $map = array('new' => 'edit');
	
	function edit() {		
		mosMenuBar::startTable();
		mosMenuBar::save();			
		mosMenuBar::spacer();
		#mosMenuBar::customX( 'extract', 'publish.png', 'publish_f2.png', T_('Extract'), false );
		mosMenuBar::spacer();
		mosMenuBar::cancel();
		mosMenuBar::spacer();
		mosMenuBar::help( 'screen.languages.edit' );
		mosMenuBar::endTable();
	}
	function extract() {		
		mosMenuBar::startTable();
		mosMenuBar::cancel();
		mosMenuBar::spacer();
		mosMenuBar::help( 'screen.languages.edit' );
		mosMenuBar::endTable();
	}
	
	function _default()
	{				
		mosMenuBar::startTable();
		//mosMenuBar::addNewX();'extract'
		mosMenuBar::spacer();
		mosMenuBar::editListX( 'edit' );
		mosMenuBar::spacer();
		mosMenuBar::deleteList();
		mosMenuBar::spacer();
		mosMenuBar::help( 'screen.languages.main' );
		mosMenuBar::endTable();
	}
}

$toolbar = new languagesToolbar('languages');
$toolbar->display();

?>