<?php
DEFINE('_EDITOR_NO_CONFIG','Cannot find mostlyce_config.php! Please install the MOStlyCE mambot.');

DEFINE('_EDITOR_OPTIONS','Gen. Options');
DEFINE('_EDITOR_LOCATION','Editor Location');
DEFINE('_EDITOR_LOCATION_TIP','Position of the editor');
DEFINE('_EDITOR_SAFE_MODE_ON','Safe Mode is ON');
DEFINE('_EDITOR_SAFE_MODE_OFF','Safe Mode is OFF');

DEFINE('_EDITOR_TOP','Top');
DEFINE('_EDITOR_BOTTOM','Bottom');

DEFINE('_EDITOR_PATH','Base Path');
DEFINE('_EDITOR_PATH_TIP','The URL of your Site. This is typically the same as the $mosConfig_live_site setting. No trailing slash!');
DEFINE('_EDITOR_LANG','Editor Language');
DEFINE('_EDITOR_LANG_LIST','List of supported Languages.');
DEFINE('_EDITOR_THEMES','Editor Themes');
DEFINE('_EDITOR_COMPRESSION','Editor Compression');
DEFINE('_EDITOR_COMPRESSION_TIP', 'Turning compression on enables the TinyMCE compressor. Can reduce traffic and speed up the editor by up to 75%. Uses server side Gzip.');
DEFINE('_EDITOR_WIDTH','Editor Width');
DEFINE('_EDITOR_HEIGHT','Editor Height');
DEFINE('_EDITOR_LAYOUT', 'Layout');
DEFINE('_EDITOR_LAYOUT_TIP', 'You can remove buttons from the layout by placing a minus sign (-) in front of the button name, eg: -cut');
DEFINE('_EDITOR_LAYOUT_ROW1', 'Row 1 buttons');
DEFINE('_EDITOR_LAYOUT_ROW2', 'Row 2 buttons');
DEFINE('_EDITOR_LAYOUT_ROW3', 'Row 3 buttons');
DEFINE('_EDITOR_LAYOUT_ROW4', 'Row 4 buttons');
DEFINE('_EDITOR_GZIP', 'GZip Compression');
DEFINE('_EDITOR_GZIP_TIP', 'If GZip is supported, this option bundles all .js files together into two HTTP requests instead of one for each plugin, language file and theme and it also GZip compresses these files. Improves loading speed.');


DEFINE('_EDITOR_EXTRA_PLUGINS','3rd Party Plugins');
DEFINE('_EDITOR_EXTRA_PLUGINS_TIP','Comma seperated list of extra plugins. The plugins indicated should be placed in the MOStlyCE plugins directory and should be named exactly as specified.');
DEFINE('_EDITOR_EXTRA_PLUGINS_IMG','3rd Party Plugin Image');
DEFINE('_EDITOR_EXTRA_PLUGINS_IMG_TIP','Comma seperated list of extra plugins button images.');
DEFINE('_EDITOR_ONCLICK_ELMS','Supported Onclick elements');
DEFINE('_EDITOR_ONCLICK_ELMS_TIP','Comma seperated list elements to support onclick action.');
DEFINE('_EDITOR_TMPL_DIR','Path to HTML Template Directory');
DEFINE('_EDITOR_TMPL_DIR_TIP','Absolute path to the directory where HTML templates are stored (HTML Template plugin).');

DEFINE('_EDITOR_CSS_OVERRIDE', 'Override Template CSS');
DEFINE('_EDITOR_CSS_OVERRIDE_TIP', 'Override your Template CSS file');
DEFINE('_EDITOR_CUSTOM_CSS', 'Custom CSS File');
DEFINE('_EDITOR_CUSTOM_CSS_TIP', 'Name of custom css file. This file should be placed in your Template CSS directory.');

DEFINE('_EDITOR_NEWLINES', 'Newlines');
DEFINE('_EDITOR_NEWLINES_TIP', 'Result of a carriage return in the editor content area, BR or P.');

DEFINE('_EDITOR_CONVERT_URLS', 'Convert Absolute URLS.');
DEFINE('_EDITOR_CONVERT_URLS_TIP', 'If Yes, Absolute URLS from the Editor are converted to Relative URLS for page display. Necessary for SEF support.');

DEFINE('_EDITOR_BR_ELEM', 'BR Elements');
DEFINE('_EDITOR_P_ELEM', 'P Elements');

DEFINE('_EDITOR_SCRIPT', 'Allow script elements');
DEFINE('_EDITOR_SCRIPT_ELMS', 'SCRIPT Elements');
DEFINE('_EDITOR_SCRIPT_ELMS_TIP', 'List of SCRIPT Elements. Must be seperated by | ');

DEFINE('_EDITOR_IFRAME', 'Allow IFRAME elements');
DEFINE('_EDITOR_IFRAME_ELEMENTS', 'IFRAME Elements');
DEFINE('_EDITOR_IFRAME_ELEMENTS_TIP', 'List of IFRAME Elements. Must be seperated by | ');

DEFINE('_EDITOR_XTD_ELMS', 'Extended Elements List');
DEFINE('_EDITOR_XTD_ELMS_TIP', 'List of Extended Elements. Format is tag1[element1|element2],tag2[element1|element2]');

DEFINE('_EDITOR_DIRECTION', 'Directionality');
DEFINE('_EDITOR_LTR', 'Left to Right');
DEFINE('_EDITOR_RTL', 'Right to Left');
DEFINE('_EDITOR_PREVIEW_BGCOLOR', 'Preview Background Colour. Leave blank to use Template colour');
DEFINE('_EDITOR_PREVIEW_BGCOLOR_TIP', 'Specify colour to use for Preview plugin background colour. Useful when using templates with background colours not contained within the body tag. Must be in the format #000000.');

DEFINE('_EDITOR_PLUGINS','Plugins');
DEFINE('_EDITOR_FONT_TOOLS','Load Font Tools');
DEFINE('_EDITOR_IMGMANAGER', 'Load Image Manager');
DEFINE('_EDITOR_FILEMANAGER', 'Load File Manager');
DEFINE('_EDITOR_ADVLINK', 'Load Advanced Link');
DEFINE('_EDITOR_EMOTIONS', 'Load Emotions');
DEFINE('_EDITOR_PRINT', 'Load Print');
DEFINE('_EDITOR_SEARCH_REPLACE', 'Load Search & Replace');
DEFINE('_EDITOR_FLASH', 'Load Flash');
DEFINE('_EDITOR_TABLE', 'Load Tables');

DEFINE('_EDITOR_FORM_ELMS_TIP', 'List of FORM Elements. Must be seperated by |');
DEFINE('_EDITOR_SELECT_ELMS_TIP', 'List of SELECT Elements. Must be seperated by |');
DEFINE('_EDITOR_OPTION_ELMS_TIP', 'List of OPTION Elements. Must be seperated by |');
DEFINE('_EDITOR_INPUT_ELMS_TIP', 'List of INPUT Elements. Must be seperated by |');

DEFINE('_EDITOR_DISABLED', '--DISABLED--');
DEFINE('_EDITOR_USERDIR', 'Restricted User Directory Level');
DEFINE('_EDITOR_USERDIR_TIP', 'The level below which users will be restricted to a directory named with their username. This directory is created automatically if it does not exist. Selecting DISABLED disables this feature allowing all users full access (default).');
DEFINE('_EDITOR_USERDIR_TYPE', 'User directory Format');
DEFINE('_EDITOR_USERDIR_TYPE_TIP', 'If user directory restrictions are in effect, choose the format of the directory to be created and used. eg: username or author or author/username.');


DEFINE('_EDITOR_IMGMANAGER_OPTIONS','Image Mgr');
DEFINE('_EDITOR_IM_BASE_DIR','Images Directory');
DEFINE('_EDITOR_IM_BASE_DIR_TIP','Images Directory path, releative to site root.');
DEFINE('_EDITOR_IM_BASE_URL','Images URL');
DEFINE('_EDITOR_IM_BASE_URL_TIP','Images URL path, releative to site URL.');
DEFINE('_EDITOR_IM_IMAGE_CLASS','Image Library');
DEFINE('_EDITOR_IM_IMAGE_CLASS_TIP','The image manipulation library to use, either GD or ImageMagick or NetPBM. If you have safe mode ON, or you do not have the binaries to other packages, your choice is GD only. Other packages require Safe Mode to be off.');
DEFINE('_EDITOR_IM_CLASS_PATH','Path to Image Library');
DEFINE('_EDITOR_IM_CLASS_PATH_TIP','After defining which library to use, if it is NetPBM or IM, you need to specify where the binary for the selected library is. Your server and PHP must be able to execute them (i.e. safe mode is OFF). GD does not require the following definition.');
DEFINE('_EDITOR_IM_NO_GDLIB','Safe Mode is ON and no GD Library is installed!');
DEFINE('_EDITOR_IM_THUMB_SIZE', 'Thumbnail Size');
DEFINE('_EDITOR_IM_THUMBS', 'Use Thumbnails');
DEFINE('_EDITOR_IM_MAX_VALUE', 'Max Width/Height value for Upload-Resize');
DEFINE('_EDITOR_IM_UPLOAD', 'Allow Image Uploads.');
DEFINE('_EDITOR_IM_UPLOAD_ACL', 'Upload Level');
DEFINE('_EDITOR_IM_FOLDER', 'Allow Folder Create/Delete');
DEFINE('_EDITOR_IM_FOLDER_ACL', 'Folder Create/Delete Level');
DEFINE('_EDITOR_IM_IMAGE', 'Allow Image Delete');
DEFINE('_EDITOR_IM_IMAGE_ACL', 'Image Delete Level');
DEFINE('_EDITOR_IM_IMAGE_EDIT', 'Allow Image Edit');
DEFINE('_EDITOR_IM_IMAGE_EDIT_ACL', 'Image Edit Level');
DEFINE('_EDITOR_IM_THUMB_PREFIX', 'Thumbnail Prefix');
DEFINE('_EDITOR_IM_THUMB_PREFIX_TIP', 'The prefix for thumbnail files, something like .thumb will do. The thumbnails files will be named as prefix_imagefile.ext, that is, prefix + orginal filename.');
DEFINE('_EDITOR_IM_THUMB_DIR', 'Thumbnails Directory Name');
DEFINE('_EDITOR_IM_THUMB_DIR_TIP', 'Thumbnail can also be stored in a directory, this directory will be created by PHP. If PHP is in safe mode, this parameter is ignored, you can not create directories. If you do not want to store thumbnails in a directory, set this to false or empty');
DEFINE('_EDITOR_IM_DEF_VSPACE', 'Default VSpace Value');
DEFINE('_EDITOR_IM_DEF_HSPACE', 'Default HSpace Value');
DEFINE('_EDITOR_IM_DEF_BORDER', 'Default Border Value');
DEFINE('_EDITOR_IM_DEF_ALIGN', 'Default Align Value');
DEFINE('_EDITOR_IM_POPUP_OPTIONS', 'Advanced Popup Options');
DEFINE('_EDITOR_IM_POPUP', 'Thumbnail Popup');
DEFINE('_EDITOR_IM_POPUP_BASIC', 'Basic');
DEFINE('_EDITOR_IM_POPUP_ADVANCED', 'Advanced');
DEFINE('_EDITOR_IM_POPUP_TITLE', 'Use Image Title in Popup');
DEFINE('_EDITOR_IM_POPUP_PRINT', 'Show Print Option in Popup');
DEFINE('_EDITOR_IM_POPUP_BGCOLOR', 'Popup Window background colour. Leave blank to use template color');
DEFINE('_EDITOR_IM_POPUP_BGCOLOR_TIP', 'Specify colour to use for the Image Popup background colour. Useful when using templates with background colours not contained within the body tag. Must be in hex format ie: 000000.');
DEFINE('_EDITOR_IM_POPUP_MODE', 'Popup Mode');
DEFINE('_EDITOR_IM_POPUP_MODE_BASIC', 'Basic');
DEFINE('_EDITOR_IM_POPUP_MODE_ADV', 'Advanced');
DEFINE('_EDITOR_IM_MODE', 'Default Image Manager Mode');
DEFINE('_EDITOR_IM_MODE_LIST', 'List View');
DEFINE('_EDITOR_IM_MODE_IMAGES', 'Image View');

DEFINE('_EDITOR_FILEMANAGER_OPTIONS','File Mgr');
DEFINE('_EDITOR_FM_DOC_ROOT','Files Directory');
DEFINE('_EDITOR_FM_DOC_ROOT_TIP','Files Directory path, releative to site root.');
DEFINE('_EDITOR_FM_BASE_URL','Files URL');
DEFINE('_EDITOR_FM_BASE_URL_TIP','Files URL path, releative to site URL.');
DEFINE('_EDITOR_FM_MAX_SIZE','Maximum file size');
DEFINE('_EDITOR_FM_MAX_SIZE_TIP','Maximum file size allowed for uploading in MB. Default is 2MB.');
DEFINE('_EDITOR_FM_UPLOAD', 'Allow File Uploads');
DEFINE('_EDITOR_FM_UPLOAD_ACL', 'Upload Level');
DEFINE('_EDITOR_FM_FOLDER', 'Allow Folder Create/Delete');
DEFINE('_EDITOR_FM_FOLDER_ACL', 'Folder Create/Delete Level');
DEFINE('_EDITOR_FM_MOVE', 'Allow Folder/File Move');
DEFINE('_EDITOR_FM_MOVE_ACL', 'Folder/File Level');
DEFINE('_EDITOR_FM_RENAME', 'Allow Folder/File Rename');
DEFINE('_EDITOR_FM_RENAME_ACL', 'Folder/File Rename Level');
DEFINE('_EDITOR_FM_DELETE', 'Allow Folder/File Delete');
DEFINE('_EDITOR_FM_DELETE_ACL', 'Folder/File Delete Level');
DEFINE('_EDITOR_FM_ALLOW_EXT', 'Allow file types');
DEFINE('_EDITOR_FM_ALLOW_EXT_TIP', 'List allowed file extensions. Seperate with a comma.');
DEFINE('_EDITOR_FM_DENY_EXT', 'Deny file types');
DEFINE('_EDITOR_FM_DENY_EXT_TIP', 'List denied file extensiosns. Seperate with a comma.');
DEFINE('_EDITOR_FM_MKDIR', 'Create Directory?');

DEFINE('_EDITOR_FLASHMANAGER_OPTIONS','Flash Mgr');
DEFINE('_EDITOR_SWF_DOC_ROOT','Flash Directory');
DEFINE('_EDITOR_SWF_DOC_ROOT_TIP','Flash Directory path, releative to site root.');
DEFINE('_EDITOR_SWF_BASE_URL','Flash URL');
DEFINE('_EDITOR_SWF_BASE_URL_TIP','Flash URL path, releative to site URL.');
DEFINE('_EDITOR_SWF_MAX_SIZE','Maximum file size');
DEFINE('_EDITOR_SWF_MAX_SIZE_TIP','Maximum file size allowed for uploading in MB. Default is 2MB.');
DEFINE('_EDITOR_SWF_UPLOAD', 'Allow File Uploads');
DEFINE('_EDITOR_SWF_UPLOAD_ACL', 'Upload Level');
DEFINE('_EDITOR_SWF_FOLDER', 'Allow Folder Create/Delete');
DEFINE('_EDITOR_SWF_FOLDER_ACL', 'Folder Create/Delete Level');
DEFINE('_EDITOR_SWF_MOVE', 'Allow Folder/File Move');
DEFINE('_EDITOR_SWF_MOVE_ACL', 'Folder/File Level');
DEFINE('_EDITOR_SWF_RENAME', 'Allow Folder/File Rename');
DEFINE('_EDITOR_SWF_RENAME_ACL', 'Folder/File Rename Level');
DEFINE('_EDITOR_SWF_DELETE', 'Allow Folder/File Delete');
DEFINE('_EDITOR_SWF_DELETE_ACL', 'Folder/File Delete Level');
DEFINE('_EDITOR_SWF_MKDIR', 'Create Directory?');
DEFINE('_EDITOR_SWF_OBJECT_ELM', 'Custom Object Elements');
DEFINE('_EDITOR_SWF_OBJECT_ELM_TIP', 'Define a list of custom Object Elements for Flash. Seperate with a |. Used only if Flash Plugin is disabled.');
DEFINE('_EDITOR_SWF_EMBED_ELM', 'Custom Embed Elements');
DEFINE('_EDITOR_SWF_EMBED_ELM_TIP', 'Define a list of custom Embed Elements for Flash. Seperate with a |. Used only if Flash Plugin is disabled.');
DEFINE('_EDITOR_SWF_MANUAL', 'Use manual Flash insertion.');
DEFINE('_EDITOR_SWF_MANUAL_TIP', 'Flash plugin MUST be disabled. Allows for Flash to be inserted manually via the HTML editor.');

DEFINE('_EDITOR_ADVLINK_OPTIONS', 'Adv Link');
DEFINE('_EDITOR_AL_ARTICLE', 'Allow Article List');
DEFINE('_EDITOR_AL_ARTICLE_ACL', 'Article List Level');
DEFINE('_EDITOR_AL_CATEGORY', 'Allow Category List');
DEFINE('_EDITOR_AL_CATEGORY_ACL', 'Category List Level');
DEFINE('_EDITOR_AL_SECTION', 'Allow Section List');
DEFINE('_EDITOR_AL_SECTION_ACL', 'Section List Level');
DEFINE('_EDITOR_AL_STATIC', 'Allow Static Content List');
DEFINE('_EDITOR_AL_STATIC_ACL', 'Static Content List Level');
DEFINE('_EDITOR_AL_CONTACT', 'Allow Contact List');
DEFINE('_EDITOR_AL_CONTACT_ACL', 'Contact List Level');
DEFINE('_EDITOR_AL_SEARCH', 'Allow Search Feature');
DEFINE('_EDITOR_AL_SEARCH_ACL', 'Search Feature Level');

DEFINE('_EDITOR_ADMIN_INFO','Admin Info');
DEFINE('_EDITOR_EDITOR_INFO', 'Editor Info');

DEFINE('_editor_align_default','Default');
DEFINE('_editor_align_baseline','Baseline');
DEFINE('_editor_align_top','Top');
DEFINE('_editor_align_middle','Middle');
DEFINE('_editor_align_bottom','Bottom');
DEFINE('_editor_align_texttop','TextTop');
DEFINE('_editor_align_absmiddle','Absolute Middle');
DEFINE('_editor_align_absbottom','Absolute Bottom');
DEFINE('_editor_align_left','Left');
DEFINE('_editor_align_right','Right');

DEFINE('_EDITOR_TABLE_OPTIONS', 'Tables');
DEFINE('_EDITOR_TABLE_COLOUR', 'Use Table Background & Border Colours');

?>
