<?php
/**
 * General Authorization script for MOStlyCE plugins (originally written for mosCE).
 * @author $Author: Ryan Demmer (Changed for MOStlyCE by Chad Auld)
 * @version $Id: auth_plugin.php
 * @package MOStlyCE
 * @Portions from remository.php
 */

// Don't allow direct linking
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );
class authPlugin
{
    function authPlugin()
    {
            global $mosConfig_absolute_path, $database, $option, $mosConfig_host, $mosConfig_user, $mosConfig_password, $mosConfig_db, $mosConfig_dbprefix;

            if( file_exists( $mosConfig_absolute_path."/includes/mambo.php" ) ){
                require_once ( $mosConfig_absolute_path."/includes/mambo.php" );
            }
            
            //Adding this for 4.6 compatibility.  Will want a cleaner way to do this for 5.0.
	    $adminside=3;
            $popup = 1;
            require_once ( $mosConfig_absolute_path."/index.php" );
            
            $database = new database( $mosConfig_host, $mosConfig_user, $mosConfig_password, $mosConfig_db, $mosConfig_dbprefix );

        	// Mambo core interaction API
        	$mainframe = new mosMainFrame( $database, 'com_mostlyce',  $mosConfig_absolute_path );

            // initialise session.
            $mainframe->initSession();
            // get usertype from the session
            $my = $mainframe->GetUser();

            //Commenting this out for now since auth.php was removed in 4.6.
	    //Get the usertpe from session file for admin
            //if ( !$my->usertype ){
            //    require ( $mosConfig_absolute_path."/administrator/includes/auth.php" );
            //}

            //Get group id from database relative to session usertype
            $query = "SELECT lft FROM #__core_acl_aro_groups WHERE name = '".$my->usertype."' LIMIT 1";
            $database->setQuery( $query );
            $grp = $database->loadResult();
            
            $this->usertype = $my->usertype;
            $this->username = $my->username;
            $this->grp = $grp;
            $this->mainframe = $mainframe;
    }
    function getUserName()
    {
        return $this->username;
    }
    function getUserType()
    {
        return $this->usertype;
    }
    function isAdmin()
    {
        return ( strtolower( $this->usertype ) == 'superadministrator' || strtolower( $this->usertype ) == 'super administrator' || $this->grp == 16 ) ? true : false;
    }
}

?>
