<?php
//Creates a Colour Picker Instance
function colourPicker( $colblock, $colval, $defcolour)
{
    echo"<input type=\"text\" size=\"8\" name=\"$colval\" id=\"$colval\" value=\"$defcolour\"  />&nbsp;";
    echo"<img src=\"images/color.gif\" id=\"$colblock\" name=\"$colblock\" alt=\"Colour Picker\" title=\"Colour Picker\" width=\"20\" height=\"16\" onclick=\"openColour('$colval', '$colblock');\" style=\"cursor:pointer; vertical-align:middle;\" />";
}
?>
<html>
<head>
<title>{$lang_insert_table_title}</title>
<script language="javascript" type="text/javascript" src="../../tiny_mce_popup.js"></script>
<script language="javascript" type="text/javascript">
function init()
{
  document.getElementById('caption_text').value = tinyMCE.getWindowArg('caption_text');
  document.getElementById('border_colour').value = '#000000';
  document.getElementById('border_colour_block').style.backgroundColor = '#000000';
  
  if(tinyMCE.getWindowArg('caption_border_width') != '')
    document.getElementById('border_check').checked = true;

  document.getElementById('border_width').value = (tinyMCE.getWindowArg('caption_border_width') == '') ? '1' : tinyMCE.getWindowArg('caption_border_width');

  document.getElementById('caption_width').value = tinyMCE.getWindowArg('caption_width');
  document.getElementById('caption_height').value = tinyMCE.getWindowArg('caption_height');

  var background_colour = tinyMCE.getWindowArg('caption_bgcolour');
  var border_colour = tinyMCE.getWindowArg('caption_bordercolour');
  var caption_colour = tinyMCE.getWindowArg('caption_colour');
  document.forms[0].insert.value = tinyMCE.getLang('lang_' + tinyMCE.getWindowArg('action'));
  
if(background_colour != '') {
    if(background_colour.indexOf('rgb') == 0) {
      background_colour = convertRGBToHex(background_colour);
    }
    document.getElementById('background_colour').value = background_colour;
    document.getElementById('background_colour_block').style.backgroundColor = background_colour;
}
if(border_colour != '') {
    if(border_colour.indexOf('rgb') == 0) {
        border_colour = convertRGBToHex(border_colour);
    }
    document.getElementById('border_colour').value = border_colour;
    document.getElementById('border_colour_block').style.backgroundColor = border_colour;
}
if(caption_colour != '') {
    if(caption_colour.indexOf('rgb') == 0) {
        caption_colour = convertRGBToHex(caption_colour);
    }
    document.getElementById('caption_colour').value = caption_colour;
    document.getElementById('caption_colour_block').style.backgroundColor = caption_colour;
}
  var borderstyle = document.getElementById('border_style');
  for(var i = 0; i < borderstyle.length; i++)
  {
    if(borderstyle.options[i].value == tinyMCE.getWindowArg('caption_border_style'))
    {
        borderstyle.selectedIndex = i;
        break;
    }
  }
  var captionalign = document.getElementById('caption_align');
  for(var i = 0; i < captionalign.length; i++)
  {
    if(captionalign.options[i].value == tinyMCE.getWindowArg('caption_align'))
    {
        captionalign.selectedIndex = i;
        break;
    }
  }
  getStyles();
}
function getStyles()
{
    var className = tinyMCE.getWindowArg('caption_style');
	var styleSelectElm = document.forms[0].styleSelect;
	var stylesAr = tinyMCE.getParam('theme_advanced_styles', false);
	if (stylesAr) {
		stylesAr = stylesAr.split(';');

		for (var i=0; i<stylesAr.length; i++) {
			var key, value;

			key = stylesAr[i].split('=')[0];
			value = stylesAr[i].split('=')[1];

			styleSelectElm.options[styleSelectElm.length] = new Option(key, value);
			if (value == className)
				styleSelectElm.options.selectedIndex = styleSelectElm.options.length-1;
		}
	} else {
		var csses = tinyMCE.getCSSClasses(tinyMCE.getWindowArg('editor_id'));
		for (var i=0; i<csses.length; i++) {
			styleSelectElm.options[styleSelectElm.length] = new Option(csses[i], csses[i]);
			if (csses[i] == className)
				styleSelectElm.options.selectedIndex = styleSelectElm.options.length-1;
		}
	}
}
//From TinyMCE 2.0RC1 color_picker.js
function convertRGBToHex(col) {
	var re = new RegExp("rgb\\W*\\(\\W*([0-9]+).*,\\W*([0-9]+).*,\\W*([0-9]+).*\\)", "gi");

	var rgb = col.replace(re, "$1,$2,$3").split(',');
	if (rgb.length == 3) {
		r = parseInt(rgb[0]).toString(16);
		g = parseInt(rgb[1]).toString(16);
		b = parseInt(rgb[2]).toString(16);

		r = r.length == 1 ? '0' + r : r;
		g = g.length == 1 ? '0' + g : g;
		b = b.length == 1 ? '0' + b : b;

		return '#' + r + g + b;
	}

	return col;
}
function doCaption(action)
{
  var args = new Array();
  args['caption_text'] = document.getElementById('caption_text').value;
  args['caption_style'] = document.getElementById('styleSelect').value;
  args['caption_align'] = document.getElementById('caption_align').value;
  args['caption_bgcolour'] = document.getElementById('background_colour').value;
  args['caption_colour'] = document.getElementById('caption_colour').value;
  args['caption_action'] = action;
  args['caption_width'] = document.getElementById('caption_width').value;
  args['caption_height'] = document.getElementById('caption_height').value;
  
  if(document.getElementById('border_check').checked) {
    args['caption_bordercolour'] = document.getElementById('border_colour').value;
    args['caption_border_width'] = document.getElementById('border_width').value;
    args['caption_border_style'] = document.getElementById('border_style').value;
  }else{
    args['caption_bordercolour'] = '';
    args['caption_border_width'] = '';
    args['caption_border_style'] = '';
  }
  
  window.opener.tinyMCE.execCommand("mceCaption",false,args);
  top.close();
  return false;
}
function openColour(func, block){
    var winl = (screen.width - 340) / 2;
    var wint = (screen.height - 250) / 2;
    var features =
    'location='    + 'no' +
    ',menubar='     + 'no' +
    ',scrollbars='  + 'no' +
    ',status='      + 'no' +
    ',toolbar='     + 'no' +
    ',resizable='   + 'no' +
    ',screenX='     + winl +
    ',screenY='     + wint +
    ',width='       + 340 +
    ',height='      + 250 ;
    window.open('colorpicker.php?func='+func+'&block='+block, 'ColourPicker', features);
}

</script>
</head>
<body onload="init();">
<form>
  <fieldset>
  <legend>Caption Properties</legend>
  <table>
    <tr>
        <td>Caption:</td>
        <td colspan="4"><input type="text" size="50" id="caption_text" /></td>
    </tr>
    <tr>
        <td>Caption Width:</td>
        <td><input type="text" size="5" id="caption_width" /></td>
        <td rowspan="2" colspan="2" style="vertical-align:middle;" align="left">Leave blank for defaults</td>
    </tr>
    <tr>
        <td>Caption Height:</td>
        <td><input type="text" size="5" id="caption_height" /></td>
    </tr>
    <tr>
      <td>Alignment:</td>
      <td colspan="4"><select name="caption_align" id="caption_align">
          <option value="left">left</option>
          <option value="center" selected>center</option>
          <option value="right">right</option>
          <option value="justified">justified</option>
        </select>
      </td>
    </tr>
    <tr>
      <td>Class </td>
      <td colspan="4"><select name="styleSelect" id="styleSelect">
          <option value="" selected>-- Select Style --</option>
        </select>
      </td>
    <tr>
      <td>Background Colour:</td>
      <td colspan="3" style="vertical-align:middle;"><?php echo colourPicker( 'background_colour_block', 'background_colour', '');?></td>
    </tr>
    <tr>
      <td>Caption Colour:</td>
      <td colspan="3" style="vertical-align:middle;"><?php echo colourPicker( 'caption_colour_block', 'caption_colour', '')?></td>
    </tr>
    <tr>
    <td colspan="4"><input type="checkbox" name="border_check" id="border_check" style="vertical-align:middle;"/>Caption Border</td>
    </tr>
    <tr>
      <td>Border:</td>
      <td colspan="3"><input maxlength="3" size="2" name="border_width" id="border_width" value="1" />
        px</td>
    </tr>
    <tr>
      <td>Border Colour:</td>
      <td colspan="3" style="vertical-align:middle;"><?php echo colourPicker('border_colour_block', 'border_colour', '' );?></td>
    </tr>
    <tr>
      <td>Border Style:</td>
      <td colspan="3"><select name="border_style" id="border_style">
          <option value="solid">solid</option>
          <option value="dotted">dotted</option>
          <option value="dashed">dashed</option>
          <option value="double">double</option>
          <option value="groove">groove</option>
          <option value="ridge">ridge</option>
          <option value="inset">inset</option>
          <option value="outset">outset</option>
        </select>
      </td>
    </tr>
    <tr>
      <td colspan="5" align="right"><input type="button" name="cancel" id="cancel" value="Cancel" style="cursor:pointer;" onclick="window.close();" />
      <input type="button" name="insert" id="insert" value="Insert" style="cursor:pointer;" onclick="doCaption('insert');" />
      <input type="button" class="button" name="remove" id="remove" value="Remove" style="cursor:pointer;" onclick="doCaption('remove');" /></td>
    </tr>
  </table>
</form>
</body>
</html>
